
#ifndef NODES_H
#define NODES_H

#include <stdint.h>
#include "hlist.h"


struct host_node *host_node_create(uint8_t *hwaddr);
void host_node_free(struct host_node *n);
struct host_node *host_node_add(struct hlist_head *table, uint8_t *hwaddr);
int host_node_del(struct hlist_head *table, uint8_t *hwaddr);
struct host_node *host_node_lookup(struct hlist_head *table, uint8_t *hwaddr);
void host_node_print_all(struct hlist_head *table);

#endif /* NODES_H */
