/*
 * mdns_avahi.c - dns-sd header
 *
 * Copyright (C) 2020 IOPSYS Software Solutions AB. All rights reserved.
 *
 * See LICENSE file for license related information.
 *
 */

#ifndef MDNS_AVAHI_H
#define MDNS_AVAHI_H


int mdns_init(struct topologyd_private *priv);
int mdns_run(struct topologyd_private *priv);
void mdns_cleanup_poll(struct topologyd_private *topo);
void mdns_cleanup(struct topologyd_private *priv);
void clean_mdns_services(struct device_ipv4_t *d);

#endif /* MDNS_AVAHI_H */
